#ifndef _ACTIVATEOBSERVER_
#define _ACTIVATEOBSERVER_  

#ifndef _IFRAME_
#include <iframe.hpp>
#endif

class ActivateObserver;

#include <iobservr.hpp>
#include <inotifev.hpp>

#ifndef _MAINWINDOW_
#include "MnWindow.hpp"
#endif

#include "actobsrv.h"


/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

//*****************************************************************************
// Class definition for WorkArea
//*****************************************************************************
class ActivateObserver : public IObserver {
public:

IFrameWindow* iTarget;

virtual IObserver &dispatchNotificationEvent (const INotificationEvent& anEvent);
virtual IFrameWindow* Target() const;
virtual ActivateObserver& setTarget(IFrameWindow* aTarget);
};

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif
