#ifndef _IOBSERVR_
#include <iobservr.hpp>
#endif

#ifndef _IVBDEFS_
#include <ivbdefs.h>
#endif

#ifndef _ITRACE_
#include <itrace.hpp>
#endif

#ifndef _ACTIVATEOBSERVER_
#include "actobsrv.hpp"
#endif

IObserver& ActivateObserver::dispatchNotificationEvent (const INotificationEvent& anEvent)
{
  if (anEvent.notificationId() == IFrameWindow::activateId)
  {
    ((MainWindow*) iTarget)->setActiveEditWindow((EditWindow*) &(anEvent.notifier()));
  }
  return *this;
}

IFrameWindow* ActivateObserver::Target() const
{
  return iTarget;
}

ActivateObserver& ActivateObserver::setTarget(IFrameWindow* aTarget)
{
  if (!(iTarget == aTarget))
  {
    iTarget = aTarget;
  } // endif
  return *this;
}
