#include <iiter.h>

#include "edWindow.hpp"
  
class CountIterator : public IIterator < EditWindow* > {
private:
  int Cnt;
public:
  CountIterator () : Cnt(0) {};
  virtual IBoolean applyTo (EditWindow*& EdWnd) {
    if ( ((IFrameWindow *) EdWnd)->isMinimized() != 1 )
      Cnt += 1;
    return 1;
  }
  int getCount() { return Cnt; }
  int setCount(int aCount) { Cnt = aCount; return Cnt; }
};
