// All Prolog Function Prototype

#ifdef __TOS_OS2__
#define LocalLock(x) x
#define LocalUnlock(x)
#endif

#ifdef __TOS_OS2__
int PrologRun( char *hProgram );
#endif

char WinAnalys( char *s);
ttype WinVariable( char *s);
char *WinGetTerm( char *src);
int ArgsCount( char *first);
HLOCAL WinTermRead( char *src);
HLOCAL WinSentRead( char *src, char u);
void WinDelete( HLOCAL hFree);
HLOCAL WinAlloc(int size);
HLOCAL WinConcat( HLOCAL hBody, HLOCAL hHead);
HLOCAL WinPlace( HLOCAL hPurp, HLOCAL  hTop);
void WinDiffrent( HLOCAL hTerms, HLOCAL  *hTop);
HLOCAL WinTmpName(void);
int WinTermCmp( HLOCAL hT1, HLOCAL hT2);
int WinCompare( HLOCAL hS, HLOCAL hD, HLOCAL *hTop);
HLOCAL WinConcretAdd( char *name, HLOCAL Object, HLOCAL hTop);
int WinConcretLook( char *name, HLOCAL hMean, HLOCAL *hTop);
int WinAgree( HLOCAL hS, HLOCAL hD, HLOCAL *hTop);
int WinLike( HLOCAL hSent, HLOCAL hTarg);
int WinCompute( HLOCAL hTopSent, HLOCAL hTarget, HLOCAL *hTopCon, int *cut);
HLOCAL WinTermCopy( HLOCAL hSrc);
HLOCAL WinFactCopy( HLOCAL hFact);
HLOCAL WinSentCopy( HLOCAL hSrc);
HLOCAL WinConcretCopy( HLOCAL hSrc);
void WinSentDelete( HLOCAL hDest);
void WinFactDelete( HLOCAL hDest);
void WinConcretDelete( HLOCAL hDest);
void WinVarNameDelete( HLOCAL  hDest);
void WinTermDelete( HLOCAL hFree);
void WinTermPrint( HLOCAL hTerm);
void WinVarPrint( char *name, HLOCAL hTopCon);
int WinPuts( char *str);
int WinResult( HLOCAL hTopCon);
HLOCAL WinListRead( char *src);
void ErrorMessage( char *format, char *src);

//IO Functions
int OpenResFile(void);
void CloseResFile(
#ifndef __TOS_OS2__
 HWND hWnd
#endif
);
