#include <iiter.h>

#include "edWindow.hpp"
  
class HorizTileIterator : public IIterator < EditWindow* > {
private:
  IRectangle rect;
  int Cnt;
  int y, dy;
public:
  virtual IBoolean applyTo (EditWindow*& EdWnd) {
    if ( ((IFrameWindow *) EdWnd)->isMinimized() != 1 ) {
      ((IWindow *) EdWnd)->moveSizeTo( IRectangle( rect.left(), rect.top() + y,
                                           rect.right(), rect.top() + y + dy));
      y += dy;
    }
    return 1;
  }
  void Reset( int count, ISize prect ) { Cnt = count;
                      rect = IRectangle( IPoint( 0, 0), prect);
                    y = 0; dy = ( rect.bottom() - rect.top()) / Cnt;
  }
};
