#include "kernel.hpp"

void PrologKernel::setOwner(IWindow* owner)
{
  iOwner = owner;
}
  
int PrologKernel::Interprete (IString prg)
{
  IMessageBox msg( iOwner );
  char *program = (char *) malloc(prg.size() + 1);

  for ( int i = 1, j = 0; i <= prg.size(); i++ )
    if (! isspace(prg[i]))
      program[j++] = prg[i];
  program[j] = '\0';
  if ( PrologRun((void *) program ) == 1 )
    msg.show( "Yes !", IMessageBox::okButton |
              IMessageBox::informationIcon );
  else
    msg.show( "No !", IMessageBox::okButton |
              IMessageBox::informationIcon );
  return 1;
}
