PARTCPPFLAGS=-Ftkernel -Gm+ -Tdp -Gd+ -I. /Ti+
CPPFLAGS=-Gm+ -Tdp -Gd- -I. /Ti+

all:   Prolog

Prolog:   kernel.lib

kernel.lib:   kernel.obj compute.obj copy.obj compar.obj read.obj void.obj print.obj
          ilib /I kernel.lib -+kernel.obj -+compute.obj -+copy.obj \
                 -+compar.obj -+read.obj -+void.obj -+print.obj;

kernel.obj:   kernel.cpp {$(INCLUDE)}kernel.hpp
          ICC -c $(PARTCPPFLAGS) kernel.cpp

compute.obj:   compute.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) compute.cpp

compar.obj:   compar.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) compar.cpp

copy.obj:   copy.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) copy.cpp

read.obj:   read.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) read.cpp

void.obj:   void.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) void.cpp

print.obj:   print.cpp {$(INCLUDE)}types.h {$(INCLUDE)}function.h
          ICC -c $(CPPFLAGS) print.cpp
