/* PROLOG for Windows version 1.0
Intelligence Software Corp. Copyright 1992, 1994 */

#ifdef __TOS_OS2__
#include <os2.h>
#else
#include <windows.h>
#endif

#include <string.h>
#include <stdio.h>
#include <io.h>
//#include <types.h>
//#include <stat.h>
#include <ctype.h>
#include <stdlib.h>
#include <limits.h>

#define PATH 128

typedef enum { Functor, Variable, Atom } ttype;

#ifdef __TOS_OS2__
typedef void* HLOCAL;
#endif

//typedef HLOCAL *MLHND;
//typedef MLHND *ALHND;
//typedef HLOCAL (*ALHND)[UINT_MAX];
typedef HLOCAL (*ALHND)[];

struct WinTerm {
  ttype Type;
  int Reps;
  HLOCAL Name;
  HLOCAL Args;
};

struct WinFact {
  HLOCAL Term;
  HLOCAL Next;
};

struct WinSent {
  int Cuts;
  HLOCAL Head;
  HLOCAL Body;
  HLOCAL Next;
};

struct WinConcret {
  HLOCAL Name;
  HLOCAL Object;
  long int Number;
  HLOCAL Next;
};

struct WinVarName {
  HLOCAL Name;
  HLOCAL DiffName;
  HLOCAL Next;
};

typedef struct WinTerm *pWinTerm;
typedef struct WinFact *pWinFact;
typedef struct WinSent *pWinSent;
typedef struct WinConcret *pWinConcret;
typedef struct WinVarName *pWinVarName;

extern int fError;
extern long CountPut;
extern int Trace;
//extern char *listname;
//extern char *listend;

